

{% set record = records[0] %}

{% if (record.flags.serialize) or (record.flags.serialize is not defined)%}

void Serialize(const {{ record.name }}& obj) {{'{'}}
  {% for field in record.fields %}
  std::cout << {{ field.getter.call_expr | call_function("obj") }};
  {% endfor %}
{{'}'}}

{% endif %}
